Bug 401231 - Selinux prevent forward mail trougth $HOME/.forward
Summary: Selinux prevent forward mail trougth $HOME/.forward
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-27 16:08 UTC by Alexey Kuznetsov
Modified: 2008-01-30 19:18 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 19:18:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexey Kuznetsov 2007-11-27 16:08:52 UTC
Description of problem:
subj

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-56.fc8
selinux-policy-3.0.8-56.fc8


How reproducible:
all time.


Additional info:
type=AVC msg=audit(1196179517.753:207): avc:  denied  { getattr } for  pid=10286
comm="sendmail" path="/home/axet/.forward" dev=sda3 ino=362852
scontext=system_u:system_r:sendmail_t:s0
tcontext=unconfined_u:object_r:unconfined_home_t:s0 tclass=file

Comment 1 Daniel Walsh 2007-11-28 13:19:25 UTC
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-62.fc8

Comment 2 Daniel Walsh 2008-01-30 19:18:48 UTC
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.


Note You need to log in before you can comment on or make changes to this bug.